### Constructor

# Gtk Video new_for_media_stream

#### Declaration [src]

    GtkWidget*
    gtk_video_new_for_media_stream (
      GtkMediaStream* stream
    )

#### Description [src]

Creates a `GtkVideo` to play back the given `stream`.

#### Parameters

`stream` | `GtkMediaStream`
| A `GtkMediaStream`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GtkVideo`.
| The data is owned by the called function.